## Dialog Utilities (Legacy)

Dialog Utilities (Legacy)

## Functions

void | e_notice ()
void | e_dialog_combo_box_set ()
gint | e_dialog_combo_box_get ()
GtkWidget * | e_dialog_button_new_with_icon ()

## Description

## Functions

### e_notice ()

    void
    e_notice (gpointer parent,
              GtkMessageType type,
              const gchar *format,
              ...);

Convenience function to show a dialog with a message and an "OK" button.

#### Parameters

parent | the dialog's parent window, or `NULL` |
type | the type of dialog (`GTK_MESSAGE_INFO`, `GTK_MESSAGE_WARNING`, or `GTK_MESSAGE_ERROR`) |
format | printf-style format string, followed by arguments |

### e_dialog_combo_box_set ()

    void
    e_dialog_combo_box_set (GtkWidget *widget,
                            gint value,
                            const gint *value_map);

Sets the selected item in a GtkComboBox. Please read the description of `e_dialog_radio_set()` to see how `value_map` maps enumeration values to item indices.

#### Parameters

widget | A GtkComboBox. |
value | Enumerated value. |
value_map | Map from enumeration values to array indices. |

### e_dialog_combo_box_get ()

    gint
    e_dialog_combo_box_get (GtkWidget *widget,
                            const gint *value_map);

Queries the selected item in a GtkComboBox. Please read the description of `e_dialog_radio_set()` to see how `value_map` maps enumeration values to item indices.

#### Parameters

widget | A GtkComboBox. |
value_map | Map from enumeration values to array indices. |

#### Returns

Enumeration value which corresponds to the selected item in the combo box.

### e_dialog_button_new_with_icon ()

    GtkWidget *
    e_dialog_button_new_with_icon (const gchar *icon_name,
                                   const gchar *label);

Creates a new GtkButton with preset `label` and image set to `icon_name` .

#### Parameters

icon_name | Icon's name to use; can be `NULL` |
label | Button label to set, with mnemonics |

#### Returns

A new GtkButton.

[transfer-full]

Since: 3.12

## Types and Values